#ifndef OTAK_
#define OTAK_
#ifdef OTAK_C_

#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <stdlib.h>


#include "tsystem.h"
#include "screen.h"
#include "scrpeople.h"
#include "scrdata.h"
#include "otakconfig.h"
#include "base.h"
#include "baseconfig.h"
#include "miscfnc.h"
#include "cmdline.h"
#include "intro.h"
#include "translate.h"
#include "emailopt.h"
#include "basedir.h"	
#include "sizes.h"
#include "barkeys.h"	// barkeys_create

// for w*_free fnc*
#include "wchoice.h"
#include "wdata.h"
#include "wedit.h"
#include "whelp.h"
#include "winfo.h"
#include "wload.h"
#include "wpeople.h"
#include "wsearch.h"
#include "wtext.h"

static int init_otak(int argc, char **argv);
static int init_tsysobjects_only(void);
static int init_tsysobjects(void);
static int init_display(void);
static void free_display(void);
static void resize_display(void);
static int free_otak(void);

extern struct scr *scr_people, *scr_data;
#endif
struct tevent;

void wmsg(char *s);
void quit_otak(void);
void scr_refresh();
void scr_show(void);
void scr_change(void);
void stream(struct tevent *e);
#endif
