#ifndef WLOAD_
#define WLOAD_

struct tevent;
#ifdef WLOAD_C_
#include <string.h>
#include "basedir.h"
#include "tsystem.h"
#include "scrpeople.h"
#include "miscfnc.h"
#include "translate.h"
#include "sizes.h"
#include "otakconfig.h"
#include "otak.h"
#include "wpeople.h"
#include "base.h"	//del_man_from_list() fnc

#define LOAD	(01)
#define DELETE	(02)
#define MOVE 	(03)

static int singlemsg(void);
static struct base *scroll_bases(void);
static void loadbase(void);
static void mload_entrydel(void);
static void deletebase(void);
static void mload_service_m(struct tobj *obj, long data);
static int lload_flush(void);
static void wload_settitle(char *name);
#endif

void delbase_b(struct tobj *, long);
void newbase_b(struct tobj *, long);
void moveman_b(struct tobj *, long);
void loadbase_b(struct tobj*, long);

int wload_service(struct tevent *e);
void lload_service(void);

int wload_create(struct tobj *rootwin);
void wload_free(void);
void wload_show(void);
void wload_hide(void);
int wload_isshowing(void);
#endif
