#ifndef _TLIST_H
#define _TLIST_H

#include "tobj.h"


/* Events (1401 - 1450) */
#define EVENT_TLIST_ACCEPT (1401L)
#define EVENT_TLIST_REJECT (1402L)
#define EVENT_TLIST_CHANGE (1403L)
/*#define EVENT_TLIST_UP     (1404L)
#define EVENT_TLIST_DOWN   (1405L)*/


/* Methods (401-450) */
#define TLIST_SCROLL_LEFT	(401L)
#define TLIST_SCROLL_RIGHT	(402L)
#define TLIST_ACTIVATE_FIRST	(410L)
#define TLIST_ACTIVATE_LAST	(411L)
#define TLIST_ACTIVATE_NEXT	(412L)
#define TLIST_ACTIVATE_PREV	(413L)
#define TLIST_ACTIVATE		(419L)

#define TLIST_ENTRY_ADD		(420L)
#define TLIST_ENTRY_DELALL	(421L)
#define TLIST_ENTRY_DEL		(422L)

/*#define TLIST_MOVE_UP		(423L)
#define TLIST_MOVE_DOWN		(424L)*/

/* Attributes (401-450) */

#define TLIST_ACTIVE		(401L)
#define TLIST_ACTIVE_STRING	(402L)
#define TLIST_LIST		(411L)
#define TLIST_LIST_LEN		(412L)
#define TLIST_FIRST_LINE	(421L)
#define TLIST_FIRST_CHAR	(422L)
#define TLIST_ACTIVE_TITLE 	(430L)


struct tobj *tlist_init(struct tobj *parent, unsigned int x,
			unsigned int y, unsigned int w, unsigned int h,
			char **deftext);

#endif
