
#ifndef _ARCHDEP_H
#define _ARCHDEP_H

#include "include/keycode.h"


int key_init(void);
void key_free(void);
int key_ready(void);
int key_get(void);

int screen_init(void);
void screen_free(void);
int screen_getcols(void);
int screen_getrows(void);
void screen_gotoxy(int x, int y);
void screen_textattr(int attr);
void screen_putch(unsigned c);
void screen_force_refresh();
void screen_refresh();
void screen_setcursortype(int type);
char screen_frame(int frame, int type);
void screen_put2scr(int width, int height, void *buf);


void mk_delay(void);


#endif
