#ifndef _MISCFUNC_H
#define _MISCFUNC_H

#include "tobj.h"

/* macro for casting pointer data to long */
#define TPDATA(x) ((long)(x))

void tset(struct tobj *obj, long attr, long data);
void tmset(struct tobj *obj, ...);
void tget(struct tobj *obj, long attr, long *data);
long txget(struct tobj *obj, long attr);

long treq_integer(struct tobj *parent, char *title, char *label, long defval);
char *treq_string(struct tobj *parent, char *title, char *label,
		char *defval, char *buffer, unsigned long buflen);
void treq_info(struct tobj *parent, char *title, char *label);
char *treq_list(struct tobj *parent, unsigned int x, unsigned int y,
		unsigned int w, unsigned int h, char *title, char **labels,
		long defval);


#endif
