#ifndef _TTEXTBOX_H
#define _TTEXTBOX_H

#include "tobj.h"


/* Events (1601 - 1700) */

/* Methods (601-700) */
#define TTEXTBOX_SCROLL_LEFT	(601L)
#define TTEXTBOX_SCROLL_RIGHT	(602L)
#define TTEXTBOX_SCROLL_UP	(603L)
#define TTEXTBOX_SCROLL_DOWN	(604L)
#define TTEXTBOX_SCROLL_PAGEUP	(605L)
#define TTEXTBOX_SCROLL_PAGEDOWN (606L)
#define TTEXTBOX_SCROLL_BEGIN	(607L)
#define TTEXTBOX_SCROLL_END	(608L)
#define TTEXTBOX_SCROLL_BEGINLINE	(609L)
#define TTEXTBOX_SCROLL_ENDLINE	(610L)

/* Attributes (601-700) */

#define TTEXTBOX_BUFFER		(601L)
#define TTEXTBOX_FORMATING	(602L)
#define TTEXTBOX_TABSIZE	(603L)
#define TTEXTBOX_FIRST_CHAR	(611L)
#define TTEXTBOX_FIRST_LINE	(612L)
#define TTEXTBOX_LINES		(613L)
#define TTEXTBOX_LINES_MAXLEN	(614L)


struct tobj *ttextbox_init(struct tobj *parent, int x, int y, int w, int h,
			   char *text, int formating);

#endif
